/******************************************************************************\
** This software module was originally developed by IBM Research (T.J.Watson) **
** in the course of development of the MPEG-4 Systems (ISO/IEC 14496-1)       **
** standard.  This software module is an implementation of a part of one or   **
** more MPEG-4 Systems (ISO/IEC 14496-1) tools as specified by the MPEG-4     **
** Systems (ISO/IEC 14496-1) standard.  ISO/IEC gives users of the MPEG-4     **
** Systems (ISO/IEC 14496-1) free license to this software module or          **
** modifications thereof for use in hardware or software products claiming    **
** conformance to the MPEG-4 Systems (ISO/IEC 14496-1).  Those intending to   **
** use this software module in hardware or software products are advised that **
** its use may infringe existing patents.  The original developer of this     **
** software module and his/her company, the subsequent editors and their      **
** companies, and ISO/IEC have no liability for use of this software module   **
** or modifications thereof in an implementation.  Copyright is not released  **
** for non MPEG-4 Systems (ISO/IEC 14496-1) conforming products.  IBM retain  **
** full right to use the code for their own purpose, assign or donate the     **
** code to a third party and to inhibit third parties from using the code for **
** non MPEG-4 Systems (ISO/IEC 14496-1) conforming products.  This copyright  **
** notice must be included in all copies or derivative works.                 **
** Copyright  2000-2001.                                                     **
** -------------------------------------------------------------------------- **
**  IBM  TJ Watson Research, USA                                              **
**  Contact :                                                                 **
**    Dr. Michelle Kim ( mykim@us.ibm.com )                                   **
\******************************************************************************/

//=============================================================================
//  SimpleContainer.java
//
//=============================================================================
package xmto2xmta.timegraph;

import java.util.*;
import java.io.*;

/*********************************************************************** 
 * Generic simple container class (a node) in simple timing graph.
 *
 * <p><b>History:</b><ul>
 * <li>15 Mar 2001 - Created file.
 * </ul><p>
 *********************************************************************/

public class SimpleContainer extends Container {
	private SimpleTimeGraph timeGraph = null;
	protected PrintWriter writer = null; 
	protected PrintWriter errWriter = null;  

	public SimpleContainer() {
		this(null, new Integer(-1), null);
	}

   public SimpleContainer(SimpleTimeGraph timeGraph, Integer id, Container parent) {
		super(null, id, parent);
		this.timeGraph = timeGraph;
		if (timeGraph != null) {
			writer = timeGraph.getPrintWriter();
			errWriter = timeGraph.getErrPrintWriter();
		}
	}

	public void setTimeGraph(SimpleTimeGraph timeGraph) {
		this.timeGraph = timeGraph;
		if (timeGraph != null) {
			writer = timeGraph.getPrintWriter();
			errWriter = timeGraph.getErrPrintWriter();
		}
	}

	public SimpleTimeGraph getSimpleTimeGraph() {
		return timeGraph;
	}

	public Container getRoot() {
		return timeGraph.getRoot();
	}
				
}	// class SimpleContainer
