/******************************************************************************\
** This software module was originally developed by IBM Research (T.J.Watson) **
** in the course of development of the MPEG-4 Systems (ISO/IEC 14496-1)       **
** standard.  This software module is an implementation of a part of one or   **
** more MPEG-4 Systems (ISO/IEC 14496-1) tools as specified by the MPEG-4     **
** Systems (ISO/IEC 14496-1) standard.  ISO/IEC gives users of the MPEG-4     **
** Systems (ISO/IEC 14496-1) free license to this software module or          **
** modifications thereof for use in hardware or software products claiming    **
** conformance to the MPEG-4 Systems (ISO/IEC 14496-1).  Those intending to   **
** use this software module in hardware or software products are advised that **
** its use may infringe existing patents.  The original developer of this     **
** software module and his/her company, the subsequent editors and their      **
** companies, and ISO/IEC have no liability for use of this software module   **
** or modifications thereof in an implementation.  Copyright is not released  **
** for non MPEG-4 Systems (ISO/IEC 14496-1) conforming products.  IBM retain  **
** full right to use the code for their own purpose, assign or donate the     **
** code to a third party and to inhibit third parties from using the code for **
** non MPEG-4 Systems (ISO/IEC 14496-1) conforming products.  This copyright  **
** notice must be included in all copies or derivative works.                 **
** Copyright  2000-2001.                                                     **
** -------------------------------------------------------------------------- **
**  IBM  TJ Watson Research, USA                                              **
**  Contact :                                                                 **
**    Dr. Michelle Kim ( mykim@us.ibm.com )                                   **
\******************************************************************************/

//=============================================================================
//  DOMXMTA.java
//
//=============================================================================
package xmtutil;

/*********************************************************************** 
 * DOMXMT contains all the strings for the various elements and 
 * attributes to avoid misspellings.
 *
 * <p><b>History:</b><ul>
 * <li>22 Jun 2000 - Creation.
 * </ul>                                                                       
 *********************************************************************/
public class DOMXMTA {
	/*********************************************************************** 
	 * Whether debug information is to be printed to the console. 
	 * default is not have debug information printed (false).
	 **********************************************************************/
	static private boolean debug_ = false;
	public static final String Anchor = "Anchor";
	public static final String Appearance = "Appearance";
	public static final String Audio = "Audio";
	public static final String AudioSource = "AudioSource";
	public static final String BIFSConfig = "BIFSConfig";
	public static final String BOLD = DOMXMTO.BOLD;
	public static final String BOLDITALIC = DOMXMTO.BOLDITALIC;
	public static final String Background2D = "Background2D";
	public static final String Bitmap = "Bitmap";
	public static final String Body = "Body";
	public static final String Circle = "Circle";
	public static final String Color = "Color";
	public static final String ColorInterpolator = "ColorInterpolator";
	public static final String Conditional = "Conditional";
	public static final String Coordinate2D = "Coordinate2D";
	public static final String Curve2D = "Curve2D";
	public static final String DEF = "DEF";
	public static final String DecoderConfigDescriptor = "DecoderConfigDescriptor";
	public static final String DecoderSpecificInfo = "DecoderSpecificInfo";
	public static final String Delete = "Delete";
	public static final String Descr = "Descr";
	public static final String END = DOMXMTO.END;
	public static final String ES_Descriptor = "ES_Descriptor";
	public static final String ES_ID = "ES_ID";
	public static final String Factor1 = "Factor1";
	public static final String FontStyle = "FontStyle";
	public static final String Group = "Group";
	public static final String Header = "Header";
	public static final String ITALIC = DOMXMTO.ITALIC;
	public static final String ImageTexture = "ImageTexture";
	public static final String IndexedFaceSet2D = "IndexedFaceSet2D";
	public static final String IndexedLineSet2D = "IndexedLineSet2D";
	public static final String InitialObjectDescriptor = "InitialObjectDescriptor";
	public static final String Insert = "Insert";
	public static final String JPEG = "JPEG";
	public static final String JPEG_DecoderConfig = "JPEG_DecoderConfig";
	public static final String Layer2D = "Layer2D";
	public static final String Layer3D = "Layer3D";
	public static final String LineProperties = "LineProperties";
	public static final String MPEG4Audio = "MPEG4Audio";
	public static final String MPEG4Visual = "MPEG4Visual";
	public static final String Material2D = "Material2D";
	public static final String MaterialKey = "MaterialKey";
	public static final String MovieTexture = "MovieTexture";
	public static final String None = "None";
	public static final String OD = "OD";
	public static final String ODProfileLevelIndication = "ODProfileLevelIndication";
	public static final String ObjectDescriptor = "ObjectDescriptor";
	public static final String ObjectDescriptorID = "ObjectDescriptorID";
	public static final String ObjectDescriptorRemove = "ObjectDescriptorRemove";
	public static final String ObjectDescriptorUpdate = "ObjectDescriptorUpdate";
	public static final String Offset1 = "Offset1";
	public static final String OrderedGroup = "OrderedGroup";
	public static final String PLAIN = DOMXMTO.PLAIN;
	public static final String PointSet2D = "PointSet2D";
	public static final String PositionInterpolator2D = "PositionInterpolator2D";
	public static final String ProfDescr = "ProfDescr";
	public static final String Profiles = "Profiles";
	public static final String ROUTE = "ROUTE";
	public static final String Rectangle = "Rectangle";
	public static final String Replace = "Replace";
	public static final String SLConfigDescriptor = "SLConfigDescriptor";
	public static final String ScalarInterpolator = "ScalarInterpolator";
	public static final String Scene = "Scene";
	public static final String SceneDescription = "SceneDescription";
	public static final String Shape = "Shape";
	public static final String Simple2D_L1 = "Simple2D_L1";
	public static final String Sound2D = "Sound2D";
	public static final String StreamSource = "StreamSource";
	public static final String Switch = "Switch";
	public static final String Text = "Text";
	public static final String TextureTransform = "TextureTransform";
	public static final String TimeSensor = "TimeSensor";
	public static final String TouchSensor = "TouchSensor";
	public static final String Transform2D = "Transform2D";
	public static final String USE = "USE";
	public static final String Unspecified = "Unspecified";
	public static final String Valuator = "Valuator";
	public static final String VideoObject = "VideoObject";
	public static final String Visual = "Visual";
	public static final String VisualConfig = "VisualConfig";
	public static final String VisualObject = "VisualObject";
	public static final String XMT_dash_A = "XMT-A";
	public static final String Xdensity = "Xdensity";
	public static final String Ydensity = "Ydensity";
	public static final String activate = "activate";
	public static final String appearance = "appearance";
	public static final String atField = "atField";
	public static final String atNode = "atNode";
	public static final String audioProfileLevelIndication = "audioProfileLevelIndication";
	public static final String auto = "auto";
	public static final String backColor = "backColor";
	public static final String begin = DOMXMTO.begin;
	public static final String buffer = "buffer";
	public static final String bufferSizeDB = "bufferSizeDB";
	public static final String center = DOMXMTO.center;
	public static final String children = "children";
	public static final String choice = "choice";
	public static final String color = DOMXMTO.color;
	public static final String colorIndex = DOMXMTO.colorIndex;
	public static final String colorPerVertex = DOMXMTO.colorPerVertex;
	public static final String commandStream = "commandStream";
	public static final String convex = "convex";
	public static final String coord = DOMXMTO.coord;
	public static final String coordIndex = DOMXMTO.coordIndex;
	public static final String custom = "custom";
	public static final String cycleInterval = "cycleInterval";
	public static final String decConfigDescr = "decConfigDescr";
	public static final String decSpecificInfo = "decSpecificInfo";
	public static final String emissiveColor = "emissiveColor";
	public static final String enabled = "enabled";
	public static final String esDescr = "esDescr";
	public static final String family = DOMXMTO.family;
	public static final String filled = DOMXMTO.filled;
	public static final String fineness = DOMXMTO.fineness;
	public static final String fontStyle = DOMXMTO.fontStyle;
	public static final String fraction_changed = "fraction_changed";
	public static final String fromField = "fromField";
	public static final String fromNode = "fromNode";
	public static final String geometry = "geometry";
	public static final String graphicsProfileLevelIndication = "graphicsProfileLevelIndication";
	public static final String headerLength = "headerLength";
	public static final String highThreshold = DOMXMTO.highThreshold;
	public static final String horizontal = DOMXMTO.horizontal;
	public static final String inSFInt32 = "inSFInt32";
	public static final String inSFTime = "inSFTime";
	public static final String includeInlineProfileLevelFlag = "includeInlineProfileLevelFlag";
	public static final String isActive = "isActive";
	public static final String isKeyed = DOMXMTO.isKeyed;
	public static final String isRGB = DOMXMTO.isRGB;
	public static final String justify = DOMXMTO.justify;
	public static final String key = "key";
	public static final String keyColor = DOMXMTO.keyColor;
	public static final String keyValue = "keyValue";
	public static final String language = DOMXMTO.language;
	public static final String leftToRight = DOMXMTO.leftToRight;
	public static final String lineColor = "lineColor";
	public static final String lineProps = "lineProps";
	public static final String lineStyle = "lineStyle";
	public static final String loop = "loop";
	public static final String lowThreshold = DOMXMTO.lowThreshold;
	public static final String material = "material";
	public static final String nodeIDbits = "nodeIDbits";
	public static final String numComponents = "numComponents";
	public static final String objectDescriptorID = "objectDescriptorID";
	public static final String objectDescriptorId = "objectDescriptorId";
	public static final String objectTypeIndication = "objectTypeIndication";
	public static final String order = "order";
	public static final String outSFBool = "outSFBool";
	public static final String outSFInt32 = "outSFInt32";
	public static final String par = DOMXMTO.par;
	public static final String pixelHeight = "pixelHeight";
	public static final String pixelMetric = "pixelMetric";
	public static final String pixelWidth = "pixelWidth";
	public static final String point = "point";
	public static final String position = "position";
	public static final String predefined = "predefined";
	public static final String profile_and_level_indication = "profile_and_level_indication";
	public static final String radius = DOMXMTO.radius;
	public static final String repeatS = DOMXMTO.repeatS;
	public static final String repeatT = DOMXMTO.repeatT;
	public static final String reverseActivate = "reverseActivate";
	public static final String rotation = DOMXMTO.rotation;
	public static final String rotationAngle = "rotationAngle";
	public static final String routeIDbits = "routeIDbits";
	public static final String scale = DOMXMTO.scale;
	public static final String scaleOrientation = DOMXMTO.scaleOrientation;
	public static final String sceneProfileLevelIndication = "sceneProfileLevelIndication";
	public static final String set_bind = "set_bind";
	public static final String set_colorIndex = "set_colorIndex";
	public static final String set_coordIndex = "set_coordIndex";
	public static final String set_fraction = "set_fraction";
	public static final String set_texCoordIndex = "set_texCoordIndex";
	public static final String size = DOMXMTO.size;
	public static final String slConfigDescr = "slConfigDescr";
	public static final String source = "source";
	public static final String spacing = DOMXMTO.spacing;
	public static final String src = DOMXMTO.src;
	public static final String startTime = "startTime";
	public static final String stopTime = "stopTime";
	public static final String streamType = "streamType";
	public static final String string = "string";
	public static final String string_false = "false";
	public static final String string_true = "true";
	public static final String style = DOMXMTO.style;
	public static final String texCoord = DOMXMTO.texCoord;
	public static final String texCoordIndex = DOMXMTO.texCoordIndex;
	public static final String texture = "texture";
	public static final String textureTransform = "textureTransform";
	public static final String timeStampLength = "timeStampLength";
	public static final String timeStampResolution = "timeStampResolution";
	public static final String toField = "toField";
	public static final String toNode = "toNode";
	public static final String topToBottom = DOMXMTO.topToBottom;
	public static final String touchTime = "touchTime";
	public static final String translation = DOMXMTO.translation;
	public static final String transparency = DOMXMTO.transparency;
	public static final String type = "type";
	public static final String url = "url";
	public static final String useAccessUnitStartFlag = "useAccessUnitStartFlag";
	public static final String value = "value";
	public static final String value_changed = "value_changed";
	public static final String visualProfileLevelIndication = "visualProfileLevelIndication";
	public static final String whichChoice = "whichChoice";
	public static final String width = DOMXMTO.width;
/*********************************************************************** 
 * Enable debugging information to be printed to the console. 
 *
 * @param debug     sets debug information is printed
 **********************************************************************/
static public void setDebug(boolean debug) {
	debug_ = debug;
}
}
