/******************************************************************************\
** This software module was originally developed by IBM Research (T.J.Watson) **
** in the course of development of the MPEG-4 Systems (ISO/IEC 14496-1)       **
** standard.  This software module is an implementation of a part of one or   **
** more MPEG-4 Systems (ISO/IEC 14496-1) tools as specified by the MPEG-4     **
** Systems (ISO/IEC 14496-1) standard.  ISO/IEC gives users of the MPEG-4     **
** Systems (ISO/IEC 14496-1) free license to this software module or          **
** modifications thereof for use in hardware or software products claiming    **
** conformance to the MPEG-4 Systems (ISO/IEC 14496-1).  Those intending to   **
** use this software module in hardware or software products are advised that **
** its use may infringe existing patents.  The original developer of this     **
** software module and his/her company, the subsequent editors and their      **
** companies, and ISO/IEC have no liability for use of this software module   **
** or modifications thereof in an implementation.  Copyright is not released  **
** for non MPEG-4 Systems (ISO/IEC 14496-1) conforming products.  IBM retain  **
** full right to use the code for their own purpose, assign or donate the     **
** code to a third party and to inhibit third parties from using the code for **
** non MPEG-4 Systems (ISO/IEC 14496-1) conforming products.  This copyright  **
** notice must be included in all copies or derivative works.                 **
** Copyright  2000-2001.                                                     **
** -------------------------------------------------------------------------- **
**  IBM  TJ Watson Research, USA                                              **
**  Contact :                                                                 **
**    Dr. Michelle Kim ( mykim@us.ibm.com )                                   **
\******************************************************************************/

//=============================================================================
//  DOMXMTO.java
//
//=============================================================================
package xmtutil;

/*********************************************************************** 
 * DOMXMT contains all the strings for the various elements and 
 * attributes to avoid misspellings.
 *
 * <p><b>History:</b><ul>
 * <li>22 Jun 2000 - Creation.
 * <li>09 Oct 2000 - Change alignment to be MFString instead of SFString.
 * </ul>
 *********************************************************************/
public class DOMXMTO {
	/*********************************************************************** 
	 * Whether debug information is to be printed to the console. 
	 * default is not have debug information printed (false).
	 **********************************************************************/
	static private boolean debug_ = false;
	public static final String BEGIN = "BEGIN";
	public static final String BOLD = "BOLD";
	public static final String BOLDITALIC = "BOLDITALIC";
	public static final String END = "END";
	public static final String FIRST = "FIRST";
	public static final String ITALIC = "ITALIC";
	public static final String MIDDLE = "MIDDLE";
	public static final String NON_CLOCKVALUE_STRING = "Not processed because begin is not a clock value.";
	public static final String NON_HANDLED_STRING = "This par contains objects or constructs non supported";
	public static final String NOT_RECOGNIZED_STRING = "Object not recognized by the authoring tool";
	public static final String PLAIN = "PLAIN";
	public static final String SANS = "SANS";
	public static final String SERIF = "SERIF";
	public static final String TYPEWRITER = "TYPEWRITER";
	public static final String XMT_dash_O = "XMT-O";
	public static final String accumulate = "accumulate";
	public static final String additive = "additive";
	public static final String animateColor = "animateColor";
	public static final String animateMotion = "animateMotion";
	public static final String attributeName = "attributeName";
	public static final String audio = "audio";
	public static final String backdrop = "backdrop";
	public static final String backgroundColor = "backgroundColor";
	public static final String begin = "begin";
	public static final String body = "body";
	public static final String by = "by";
	public static final String calcMode = "calcMode";
	public static final String center = "center";
	public static final String circle = "circle";
	public static final String click_TimeSuffix = ".click";
	public static final String color = "color";
	public static final String colorIndex = "colorIndex";
	public static final String colorPerVertex = "colorPerVertex";
	public static final String coord = "coord";
	public static final String coordIndex = "coordIndex";
	public static final String curve = "curve";
	public static final String defs = "defs";
	public static final String delay = "delay";
	public static final String dur = "dur";
	public static final String end = "end";
	public static final String endsync = "endsync";
	public static final String family = "family";
	public static final String fill = "fill";
	public static final String fillDefault = "fillDefault";
	public static final String filled = "filled";
	public static final String fineness = "fineness";
	public static final String fontStyle = "fontStyle";
	public static final String freeze = "freeze";
	public static final String from = "from";
	public static final String hasOD = "hasOD";
	public static final String head = "head";
	public static final String height = "height";
	public static final String highThreshold = "highThreshold";
	public static final String horizontal = "horizontal";
	public static final String href = "href";
	public static final String id = "id";
	public static final String img = "img";
	public static final String isKeyed = "isKeyed";
	public static final String isRGB = "isRGB";
	public static final String justify = "justify";
	public static final String keyColor = "keyColor";
	public static final String keySplines = "keySplines";
	public static final String keyTimes = "keyTimes";
	public static final String language = "language";
	public static final String last = "last";
	public static final String layout = "layout";
	public static final String leftToRight = "leftToRight";
	public static final String lines = "lines";
	public static final String lowThreshold = "lowThreshold";
	public static final String material = "material";
	public static final String max = "max";
	public static final String media = "media";
	public static final String meter = "meter";
	public static final String metrics = "metrics";
	public static final String min = "min";
	public static final String order = "order";
	public static final String origin = "origin";
	public static final String par = "par";
	public static final String path = "path";
	public static final String pixel = "pixel";
	public static final String points = "points";
	public static final String polygons = "polygons";
	public static final String radius = "radius";
	public static final String rectangle = "rectangle";
	public static final String region = "region";
	public static final String repeatCount = "repeatCount";
	public static final String repeatDur = "repeatDur";
	public static final String repeatS = "repeatS";
	public static final String repeatT = "repeatT";
	public static final String restart = "restart";
	public static final String restartDefault = "restartDefault";
	public static final String rotation = "rotation";
	public static final String scale = "scale";
	public static final String scaleOrientation = "scaleOrientation";
	public static final String seq = "seq";
	public static final String set = "set";
	public static final String size = "size";
	public static final String spacing = "spacing";
	public static final String src = "src";
	public static final String string = "string";
	public static final String string_3D = "3D";
	public static final String string_false = "false";
	public static final String string_true = "true";
	public static final String style = "style";
	public static final String targetElement = "targetElement";
	public static final String texCoord = "textCoord";
	public static final String texCoordIndex = "textCoordIndex";
	public static final String textLines = "textLines";
	public static final String title = "title";
	public static final String to = "to";
	public static final String topLayout = "topLayout";
	public static final String topToBottom = "topToBottom";
	public static final String transformation = "transformation";
	public static final String translation = "translation";
	public static final String transparency = "transparency";
	public static final String type = "type";
	public static final String values = "values";
	public static final String video = "video";
	public static final String visibility = "visibility";
	public static final String width = "width";
	public static final String xlink_colon_href = "xlink:href";
	public static final String xmt_slash_xmt_dash_basic_dash_layout = "xmt/xmt-basic-layout";
	public static final String xmto_colon_cmds = "xmto:cmds";
	public static final String xmto_colon_nodes = "xmto:nodes";
	public static final String z_dash_index = "z-index";
/*********************************************************************** 
 * Enable debugging information to be printed to the console. 
 *
 * @param debug     sets debug information is printed
 **********************************************************************/
static public void setDebug(boolean debug) {
	debug_ = debug;
}
}
